Skip to content
GET /unified/forms/responses/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

formobject

The form to which the response belongs.

5 supported4 required
Google
required
Google Forms
required
Survey Monkey
required
SurveySparrow
required
Jotform
supported
idstring

The unique identifier of the form.

namestring

The name of the form.

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

answersobject[]

The answers submitted

5 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
fieldobject
5 properties
field_groupobject

The field's group identifier. If present, the field is part of a group.

2 properties
idstring

The field groups's identifier

namestring

The field groups's name

idstring

The field's unique identifier.

labelstring

The field's label.

namestring

The field's name.

typestring

The field's type. If no clear mapping exists, then raw value is returned.

Possible values:
statementstringtextrich_textnumberbooleandatedatetimetimeenumarrayfile+ 5 more
valuestring

The value for the field submitted

created_atstring · date-time

The date and time when the response was created.

4 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
created_byobject

User who created the response.

idstring

The unique identifier for a user

namestring

The name of the user

formobject

The form to which the response belongs.

5 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
idstring

The unique identifier of the form.

namestring

The name of the form.

idstring

The unique identifier of the response.

5 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
namestring

The name of the response.

2 supported
Jotform
supported
SurveySparrow
supported
opened_atstring · date-time

The date and time when the form was opened.

1 supported
SurveySparrow
supported
organizationobject

The organization to which the response belongs.

idstring

The unique identifier of the organization.

namestring

The name of the organization.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

statusstring

The status of the form response.

Possible values:
initiatedcompletedsubmitted
2 supported
Survey Monkey
supported
SurveySparrow
supported
updated_atstring · date-time

The date and time when the response was last updated.

4 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
workspaceobject

The workspace to which the response belongs.

idstring

The unique identifier of the workspace.

namestring

The name of the workspace.

curl -X GET 'https://api.truto.one/unified/forms/responses/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/forms/responses/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/forms/responses/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'forms',
  'responses',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "forms",
        "responses",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())